Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network188.2.16.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
188.2.16.0
Broadcast address
188.2.31.255
First usable
188.2.16.1
Last usable
188.2.31.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex BC021000 · Integer 3154251776 to 3154255871
Reverse DNS zones
16.2.188.in-addr.arpa
17.2.188.in-addr.arpa
18.2.188.in-addr.arpa
19.2.188.in-addr.arpa
20.2.188.in-addr.arpa
21.2.188.in-addr.arpa
22.2.188.in-addr.arpa
23.2.188.in-addr.arpa
24.2.188.in-addr.arpa
25.2.188.in-addr.arpa
26.2.188.in-addr.arpa
27.2.188.in-addr.arpa
28.2.188.in-addr.arpa
29.2.188.in-addr.arpa
30.2.188.in-addr.arpa
31.2.188.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111100.00000010.00010000.00000000188.2.16.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10111100.00000010.00010000.00000000188.2.16.0
Broadcast10111100.00000010.00011111.11111111188.2.31.255
Split into smaller subnets/28

188.2.16.0/20 makes 256 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1188.2.16.0/28188.2.16.1 to 188.2.16.14188.2.16.1514
2188.2.16.16/28188.2.16.17 to 188.2.16.30188.2.16.3114
3188.2.16.32/28188.2.16.33 to 188.2.16.46188.2.16.4714
4188.2.16.48/28188.2.16.49 to 188.2.16.62188.2.16.6314
5188.2.16.64/28188.2.16.65 to 188.2.16.78188.2.16.7914
6188.2.16.80/28188.2.16.81 to 188.2.16.94188.2.16.9514
7188.2.16.96/28188.2.16.97 to 188.2.16.110188.2.16.11114
8188.2.16.112/28188.2.16.113 to 188.2.16.126188.2.16.12714
9188.2.16.128/28188.2.16.129 to 188.2.16.142188.2.16.14314
10188.2.16.144/28188.2.16.145 to 188.2.16.158188.2.16.15914
11188.2.16.160/28188.2.16.161 to 188.2.16.174188.2.16.17514
12188.2.16.176/28188.2.16.177 to 188.2.16.190188.2.16.19114
13188.2.16.192/28188.2.16.193 to 188.2.16.206188.2.16.20714
14188.2.16.208/28188.2.16.209 to 188.2.16.222188.2.16.22314
15188.2.16.224/28188.2.16.225 to 188.2.16.238188.2.16.23914
16188.2.16.240/28188.2.16.241 to 188.2.16.254188.2.16.25514
17188.2.17.0/28188.2.17.1 to 188.2.17.14188.2.17.1514
18188.2.17.16/28188.2.17.17 to 188.2.17.30188.2.17.3114
19188.2.17.32/28188.2.17.33 to 188.2.17.46188.2.17.4714
20188.2.17.48/28188.2.17.49 to 188.2.17.62188.2.17.6314
21188.2.17.64/28188.2.17.65 to 188.2.17.78188.2.17.7914
22188.2.17.80/28188.2.17.81 to 188.2.17.94188.2.17.9514
23188.2.17.96/28188.2.17.97 to 188.2.17.110188.2.17.11114
24188.2.17.112/28188.2.17.113 to 188.2.17.126188.2.17.12714
25188.2.17.128/28188.2.17.129 to 188.2.17.142188.2.17.14314
26188.2.17.144/28188.2.17.145 to 188.2.17.158188.2.17.15914
27188.2.17.160/28188.2.17.161 to 188.2.17.174188.2.17.17514
28188.2.17.176/28188.2.17.177 to 188.2.17.190188.2.17.19114
29188.2.17.192/28188.2.17.193 to 188.2.17.206188.2.17.20714
30188.2.17.208/28188.2.17.209 to 188.2.17.222188.2.17.22314
31188.2.17.224/28188.2.17.225 to 188.2.17.238188.2.17.23914
32188.2.17.240/28188.2.17.241 to 188.2.17.254188.2.17.25514
33188.2.18.0/28188.2.18.1 to 188.2.18.14188.2.18.1514
34188.2.18.16/28188.2.18.17 to 188.2.18.30188.2.18.3114
35188.2.18.32/28188.2.18.33 to 188.2.18.46188.2.18.4714
36188.2.18.48/28188.2.18.49 to 188.2.18.62188.2.18.6314
37188.2.18.64/28188.2.18.65 to 188.2.18.78188.2.18.7914
38188.2.18.80/28188.2.18.81 to 188.2.18.94188.2.18.9514
39188.2.18.96/28188.2.18.97 to 188.2.18.110188.2.18.11114
40188.2.18.112/28188.2.18.113 to 188.2.18.126188.2.18.12714
41188.2.18.128/28188.2.18.129 to 188.2.18.142188.2.18.14314
42188.2.18.144/28188.2.18.145 to 188.2.18.158188.2.18.15914
43188.2.18.160/28188.2.18.161 to 188.2.18.174188.2.18.17514
44188.2.18.176/28188.2.18.177 to 188.2.18.190188.2.18.19114
45188.2.18.192/28188.2.18.193 to 188.2.18.206188.2.18.20714
46188.2.18.208/28188.2.18.209 to 188.2.18.222188.2.18.22314
47188.2.18.224/28188.2.18.225 to 188.2.18.238188.2.18.23914
48188.2.18.240/28188.2.18.241 to 188.2.18.254188.2.18.25514
49188.2.19.0/28188.2.19.1 to 188.2.19.14188.2.19.1514
50188.2.19.16/28188.2.19.17 to 188.2.19.30188.2.19.3114
51188.2.19.32/28188.2.19.33 to 188.2.19.46188.2.19.4714
52188.2.19.48/28188.2.19.49 to 188.2.19.62188.2.19.6314
53188.2.19.64/28188.2.19.65 to 188.2.19.78188.2.19.7914
54188.2.19.80/28188.2.19.81 to 188.2.19.94188.2.19.9514
55188.2.19.96/28188.2.19.97 to 188.2.19.110188.2.19.11114
56188.2.19.112/28188.2.19.113 to 188.2.19.126188.2.19.12714
57188.2.19.128/28188.2.19.129 to 188.2.19.142188.2.19.14314
58188.2.19.144/28188.2.19.145 to 188.2.19.158188.2.19.15914
59188.2.19.160/28188.2.19.161 to 188.2.19.174188.2.19.17514
60188.2.19.176/28188.2.19.177 to 188.2.19.190188.2.19.19114
61188.2.19.192/28188.2.19.193 to 188.2.19.206188.2.19.20714
62188.2.19.208/28188.2.19.209 to 188.2.19.222188.2.19.22314
63188.2.19.224/28188.2.19.225 to 188.2.19.238188.2.19.23914
64188.2.19.240/28188.2.19.241 to 188.2.19.254188.2.19.25514
65188.2.20.0/28188.2.20.1 to 188.2.20.14188.2.20.1514
66188.2.20.16/28188.2.20.17 to 188.2.20.30188.2.20.3114
67188.2.20.32/28188.2.20.33 to 188.2.20.46188.2.20.4714
68188.2.20.48/28188.2.20.49 to 188.2.20.62188.2.20.6314
69188.2.20.64/28188.2.20.65 to 188.2.20.78188.2.20.7914
70188.2.20.80/28188.2.20.81 to 188.2.20.94188.2.20.9514
71188.2.20.96/28188.2.20.97 to 188.2.20.110188.2.20.11114
72188.2.20.112/28188.2.20.113 to 188.2.20.126188.2.20.12714
73188.2.20.128/28188.2.20.129 to 188.2.20.142188.2.20.14314
74188.2.20.144/28188.2.20.145 to 188.2.20.158188.2.20.15914
75188.2.20.160/28188.2.20.161 to 188.2.20.174188.2.20.17514
76188.2.20.176/28188.2.20.177 to 188.2.20.190188.2.20.19114
77188.2.20.192/28188.2.20.193 to 188.2.20.206188.2.20.20714
78188.2.20.208/28188.2.20.209 to 188.2.20.222188.2.20.22314
79188.2.20.224/28188.2.20.225 to 188.2.20.238188.2.20.23914
80188.2.20.240/28188.2.20.241 to 188.2.20.254188.2.20.25514
81188.2.21.0/28188.2.21.1 to 188.2.21.14188.2.21.1514
82188.2.21.16/28188.2.21.17 to 188.2.21.30188.2.21.3114
83188.2.21.32/28188.2.21.33 to 188.2.21.46188.2.21.4714
84188.2.21.48/28188.2.21.49 to 188.2.21.62188.2.21.6314
85188.2.21.64/28188.2.21.65 to 188.2.21.78188.2.21.7914
86188.2.21.80/28188.2.21.81 to 188.2.21.94188.2.21.9514
87188.2.21.96/28188.2.21.97 to 188.2.21.110188.2.21.11114
88188.2.21.112/28188.2.21.113 to 188.2.21.126188.2.21.12714
89188.2.21.128/28188.2.21.129 to 188.2.21.142188.2.21.14314
90188.2.21.144/28188.2.21.145 to 188.2.21.158188.2.21.15914
91188.2.21.160/28188.2.21.161 to 188.2.21.174188.2.21.17514
92188.2.21.176/28188.2.21.177 to 188.2.21.190188.2.21.19114
93188.2.21.192/28188.2.21.193 to 188.2.21.206188.2.21.20714
94188.2.21.208/28188.2.21.209 to 188.2.21.222188.2.21.22314
95188.2.21.224/28188.2.21.225 to 188.2.21.238188.2.21.23914
96188.2.21.240/28188.2.21.241 to 188.2.21.254188.2.21.25514
97188.2.22.0/28188.2.22.1 to 188.2.22.14188.2.22.1514
98188.2.22.16/28188.2.22.17 to 188.2.22.30188.2.22.3114
99188.2.22.32/28188.2.22.33 to 188.2.22.46188.2.22.4714
100188.2.22.48/28188.2.22.49 to 188.2.22.62188.2.22.6314
101188.2.22.64/28188.2.22.65 to 188.2.22.78188.2.22.7914
102188.2.22.80/28188.2.22.81 to 188.2.22.94188.2.22.9514
103188.2.22.96/28188.2.22.97 to 188.2.22.110188.2.22.11114
104188.2.22.112/28188.2.22.113 to 188.2.22.126188.2.22.12714
105188.2.22.128/28188.2.22.129 to 188.2.22.142188.2.22.14314
106188.2.22.144/28188.2.22.145 to 188.2.22.158188.2.22.15914
107188.2.22.160/28188.2.22.161 to 188.2.22.174188.2.22.17514
108188.2.22.176/28188.2.22.177 to 188.2.22.190188.2.22.19114
109188.2.22.192/28188.2.22.193 to 188.2.22.206188.2.22.20714
110188.2.22.208/28188.2.22.209 to 188.2.22.222188.2.22.22314
111188.2.22.224/28188.2.22.225 to 188.2.22.238188.2.22.23914
112188.2.22.240/28188.2.22.241 to 188.2.22.254188.2.22.25514
113188.2.23.0/28188.2.23.1 to 188.2.23.14188.2.23.1514
114188.2.23.16/28188.2.23.17 to 188.2.23.30188.2.23.3114
115188.2.23.32/28188.2.23.33 to 188.2.23.46188.2.23.4714
116188.2.23.48/28188.2.23.49 to 188.2.23.62188.2.23.6314
117188.2.23.64/28188.2.23.65 to 188.2.23.78188.2.23.7914
118188.2.23.80/28188.2.23.81 to 188.2.23.94188.2.23.9514
119188.2.23.96/28188.2.23.97 to 188.2.23.110188.2.23.11114
120188.2.23.112/28188.2.23.113 to 188.2.23.126188.2.23.12714
121188.2.23.128/28188.2.23.129 to 188.2.23.142188.2.23.14314
122188.2.23.144/28188.2.23.145 to 188.2.23.158188.2.23.15914
123188.2.23.160/28188.2.23.161 to 188.2.23.174188.2.23.17514
124188.2.23.176/28188.2.23.177 to 188.2.23.190188.2.23.19114
125188.2.23.192/28188.2.23.193 to 188.2.23.206188.2.23.20714
126188.2.23.208/28188.2.23.209 to 188.2.23.222188.2.23.22314
127188.2.23.224/28188.2.23.225 to 188.2.23.238188.2.23.23914
128188.2.23.240/28188.2.23.241 to 188.2.23.254188.2.23.25514
129188.2.24.0/28188.2.24.1 to 188.2.24.14188.2.24.1514
130188.2.24.16/28188.2.24.17 to 188.2.24.30188.2.24.3114
131188.2.24.32/28188.2.24.33 to 188.2.24.46188.2.24.4714
132188.2.24.48/28188.2.24.49 to 188.2.24.62188.2.24.6314
133188.2.24.64/28188.2.24.65 to 188.2.24.78188.2.24.7914
134188.2.24.80/28188.2.24.81 to 188.2.24.94188.2.24.9514
135188.2.24.96/28188.2.24.97 to 188.2.24.110188.2.24.11114
136188.2.24.112/28188.2.24.113 to 188.2.24.126188.2.24.12714
137188.2.24.128/28188.2.24.129 to 188.2.24.142188.2.24.14314
138188.2.24.144/28188.2.24.145 to 188.2.24.158188.2.24.15914
139188.2.24.160/28188.2.24.161 to 188.2.24.174188.2.24.17514
140188.2.24.176/28188.2.24.177 to 188.2.24.190188.2.24.19114
141188.2.24.192/28188.2.24.193 to 188.2.24.206188.2.24.20714
142188.2.24.208/28188.2.24.209 to 188.2.24.222188.2.24.22314
143188.2.24.224/28188.2.24.225 to 188.2.24.238188.2.24.23914
144188.2.24.240/28188.2.24.241 to 188.2.24.254188.2.24.25514
145188.2.25.0/28188.2.25.1 to 188.2.25.14188.2.25.1514
146188.2.25.16/28188.2.25.17 to 188.2.25.30188.2.25.3114
147188.2.25.32/28188.2.25.33 to 188.2.25.46188.2.25.4714
148188.2.25.48/28188.2.25.49 to 188.2.25.62188.2.25.6314
149188.2.25.64/28188.2.25.65 to 188.2.25.78188.2.25.7914
150188.2.25.80/28188.2.25.81 to 188.2.25.94188.2.25.9514
151188.2.25.96/28188.2.25.97 to 188.2.25.110188.2.25.11114
152188.2.25.112/28188.2.25.113 to 188.2.25.126188.2.25.12714
153188.2.25.128/28188.2.25.129 to 188.2.25.142188.2.25.14314
154188.2.25.144/28188.2.25.145 to 188.2.25.158188.2.25.15914
155188.2.25.160/28188.2.25.161 to 188.2.25.174188.2.25.17514
156188.2.25.176/28188.2.25.177 to 188.2.25.190188.2.25.19114
157188.2.25.192/28188.2.25.193 to 188.2.25.206188.2.25.20714
158188.2.25.208/28188.2.25.209 to 188.2.25.222188.2.25.22314
159188.2.25.224/28188.2.25.225 to 188.2.25.238188.2.25.23914
160188.2.25.240/28188.2.25.241 to 188.2.25.254188.2.25.25514
161188.2.26.0/28188.2.26.1 to 188.2.26.14188.2.26.1514
162188.2.26.16/28188.2.26.17 to 188.2.26.30188.2.26.3114
163188.2.26.32/28188.2.26.33 to 188.2.26.46188.2.26.4714
164188.2.26.48/28188.2.26.49 to 188.2.26.62188.2.26.6314
165188.2.26.64/28188.2.26.65 to 188.2.26.78188.2.26.7914
166188.2.26.80/28188.2.26.81 to 188.2.26.94188.2.26.9514
167188.2.26.96/28188.2.26.97 to 188.2.26.110188.2.26.11114
168188.2.26.112/28188.2.26.113 to 188.2.26.126188.2.26.12714
169188.2.26.128/28188.2.26.129 to 188.2.26.142188.2.26.14314
170188.2.26.144/28188.2.26.145 to 188.2.26.158188.2.26.15914
171188.2.26.160/28188.2.26.161 to 188.2.26.174188.2.26.17514
172188.2.26.176/28188.2.26.177 to 188.2.26.190188.2.26.19114
173188.2.26.192/28188.2.26.193 to 188.2.26.206188.2.26.20714
174188.2.26.208/28188.2.26.209 to 188.2.26.222188.2.26.22314
175188.2.26.224/28188.2.26.225 to 188.2.26.238188.2.26.23914
176188.2.26.240/28188.2.26.241 to 188.2.26.254188.2.26.25514
177188.2.27.0/28188.2.27.1 to 188.2.27.14188.2.27.1514
178188.2.27.16/28188.2.27.17 to 188.2.27.30188.2.27.3114
179188.2.27.32/28188.2.27.33 to 188.2.27.46188.2.27.4714
180188.2.27.48/28188.2.27.49 to 188.2.27.62188.2.27.6314
181188.2.27.64/28188.2.27.65 to 188.2.27.78188.2.27.7914
182188.2.27.80/28188.2.27.81 to 188.2.27.94188.2.27.9514
183188.2.27.96/28188.2.27.97 to 188.2.27.110188.2.27.11114
184188.2.27.112/28188.2.27.113 to 188.2.27.126188.2.27.12714
185188.2.27.128/28188.2.27.129 to 188.2.27.142188.2.27.14314
186188.2.27.144/28188.2.27.145 to 188.2.27.158188.2.27.15914
187188.2.27.160/28188.2.27.161 to 188.2.27.174188.2.27.17514
188188.2.27.176/28188.2.27.177 to 188.2.27.190188.2.27.19114
189188.2.27.192/28188.2.27.193 to 188.2.27.206188.2.27.20714
190188.2.27.208/28188.2.27.209 to 188.2.27.222188.2.27.22314
191188.2.27.224/28188.2.27.225 to 188.2.27.238188.2.27.23914
192188.2.27.240/28188.2.27.241 to 188.2.27.254188.2.27.25514
193188.2.28.0/28188.2.28.1 to 188.2.28.14188.2.28.1514
194188.2.28.16/28188.2.28.17 to 188.2.28.30188.2.28.3114
195188.2.28.32/28188.2.28.33 to 188.2.28.46188.2.28.4714
196188.2.28.48/28188.2.28.49 to 188.2.28.62188.2.28.6314
197188.2.28.64/28188.2.28.65 to 188.2.28.78188.2.28.7914
198188.2.28.80/28188.2.28.81 to 188.2.28.94188.2.28.9514
199188.2.28.96/28188.2.28.97 to 188.2.28.110188.2.28.11114
200188.2.28.112/28188.2.28.113 to 188.2.28.126188.2.28.12714
201188.2.28.128/28188.2.28.129 to 188.2.28.142188.2.28.14314
202188.2.28.144/28188.2.28.145 to 188.2.28.158188.2.28.15914
203188.2.28.160/28188.2.28.161 to 188.2.28.174188.2.28.17514
204188.2.28.176/28188.2.28.177 to 188.2.28.190188.2.28.19114
205188.2.28.192/28188.2.28.193 to 188.2.28.206188.2.28.20714
206188.2.28.208/28188.2.28.209 to 188.2.28.222188.2.28.22314
207188.2.28.224/28188.2.28.225 to 188.2.28.238188.2.28.23914
208188.2.28.240/28188.2.28.241 to 188.2.28.254188.2.28.25514
209188.2.29.0/28188.2.29.1 to 188.2.29.14188.2.29.1514
210188.2.29.16/28188.2.29.17 to 188.2.29.30188.2.29.3114
211188.2.29.32/28188.2.29.33 to 188.2.29.46188.2.29.4714
212188.2.29.48/28188.2.29.49 to 188.2.29.62188.2.29.6314
213188.2.29.64/28188.2.29.65 to 188.2.29.78188.2.29.7914
214188.2.29.80/28188.2.29.81 to 188.2.29.94188.2.29.9514
215188.2.29.96/28188.2.29.97 to 188.2.29.110188.2.29.11114
216188.2.29.112/28188.2.29.113 to 188.2.29.126188.2.29.12714
217188.2.29.128/28188.2.29.129 to 188.2.29.142188.2.29.14314
218188.2.29.144/28188.2.29.145 to 188.2.29.158188.2.29.15914
219188.2.29.160/28188.2.29.161 to 188.2.29.174188.2.29.17514
220188.2.29.176/28188.2.29.177 to 188.2.29.190188.2.29.19114
221188.2.29.192/28188.2.29.193 to 188.2.29.206188.2.29.20714
222188.2.29.208/28188.2.29.209 to 188.2.29.222188.2.29.22314
223188.2.29.224/28188.2.29.225 to 188.2.29.238188.2.29.23914
224188.2.29.240/28188.2.29.241 to 188.2.29.254188.2.29.25514
225188.2.30.0/28188.2.30.1 to 188.2.30.14188.2.30.1514
226188.2.30.16/28188.2.30.17 to 188.2.30.30188.2.30.3114
227188.2.30.32/28188.2.30.33 to 188.2.30.46188.2.30.4714
228188.2.30.48/28188.2.30.49 to 188.2.30.62188.2.30.6314
229188.2.30.64/28188.2.30.65 to 188.2.30.78188.2.30.7914
230188.2.30.80/28188.2.30.81 to 188.2.30.94188.2.30.9514
231188.2.30.96/28188.2.30.97 to 188.2.30.110188.2.30.11114
232188.2.30.112/28188.2.30.113 to 188.2.30.126188.2.30.12714
233188.2.30.128/28188.2.30.129 to 188.2.30.142188.2.30.14314
234188.2.30.144/28188.2.30.145 to 188.2.30.158188.2.30.15914
235188.2.30.160/28188.2.30.161 to 188.2.30.174188.2.30.17514
236188.2.30.176/28188.2.30.177 to 188.2.30.190188.2.30.19114
237188.2.30.192/28188.2.30.193 to 188.2.30.206188.2.30.20714
238188.2.30.208/28188.2.30.209 to 188.2.30.222188.2.30.22314
239188.2.30.224/28188.2.30.225 to 188.2.30.238188.2.30.23914
240188.2.30.240/28188.2.30.241 to 188.2.30.254188.2.30.25514
241188.2.31.0/28188.2.31.1 to 188.2.31.14188.2.31.1514
242188.2.31.16/28188.2.31.17 to 188.2.31.30188.2.31.3114
243188.2.31.32/28188.2.31.33 to 188.2.31.46188.2.31.4714
244188.2.31.48/28188.2.31.49 to 188.2.31.62188.2.31.6314
245188.2.31.64/28188.2.31.65 to 188.2.31.78188.2.31.7914
246188.2.31.80/28188.2.31.81 to 188.2.31.94188.2.31.9514
247188.2.31.96/28188.2.31.97 to 188.2.31.110188.2.31.11114
248188.2.31.112/28188.2.31.113 to 188.2.31.126188.2.31.12714
249188.2.31.128/28188.2.31.129 to 188.2.31.142188.2.31.14314
250188.2.31.144/28188.2.31.145 to 188.2.31.158188.2.31.15914
251188.2.31.160/28188.2.31.161 to 188.2.31.174188.2.31.17514
252188.2.31.176/28188.2.31.177 to 188.2.31.190188.2.31.19114
253188.2.31.192/28188.2.31.193 to 188.2.31.206188.2.31.20714
254188.2.31.208/28188.2.31.209 to 188.2.31.222188.2.31.22314
255188.2.31.224/28188.2.31.225 to 188.2.31.238188.2.31.23914
256188.2.31.240/28188.2.31.241 to 188.2.31.254188.2.31.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses